Snapchat keep support for iOS9

0 have signed. Let’s get to 1,000!


iOS 10 is compatible with iPhones as far back as the iPhone 5, which is four years old. Older iPhones running iOS10 take longer to boot up and launch apps which is why many users have not updated. It shouldn't be Snapchat's decision whether we should update our iOS considering that the 10.23 beta worked fine on iOS9. Show Snapchat we care about iOS9 by signing this petition. 



Today: Coke is counting on you

Coke Pokes needs your help with “@evanspiegel: Snapchat keep support for iOS9”. Join Coke and 654 supporters today.